from typing import List
from jobs.job_base import JobBase
from app_status import AppStatus
from lib.custom_logger import get_logger
logger = get_logger()

class PipelineBase:
    """Pipelineの基本クラス"""
    def __init__(self):
        self.jobs:List[JobBase] = []
        self.logger = get_logger()
        self.status = AppStatus()

    def add_job(self, job: JobBase):
        self.jobs.append(job)

    def run(self):
        for job in self.jobs:
            job.execute()
